
#include "echo.h"

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif


int main (int argc, char *argv[])
{
  CORBA::ORB_var orb = CORBA::ORB_init (argc, argv);

  /*
   * IOR is in hello.ref in the local directory
   */

  char pwd[512], uri[513];
  sprintf (uri, "file://%s/echo.ior", getcwd(pwd, 256));

  /*
   * Bind to Echo server
   */

  CORBA::Object_var obj = orb->string_to_object (uri);
  Echo_var echo = Echo::_narrow (obj);

  if (CORBA::is_nil (echo)) {
    printf ("oops: could not locate Echo server\n");
    exit (1);
  }

  echo->echoString ("Hello There.");
  return 0;
}
